JournalNodeMXBean (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.server, interface: JournalNodeMXBean

Package org.apache.hadoop.hdfs.qjournal.server

# Interface JournalNodeMXBean

@Public @Evolving public interface JournalNodeMXBean
This is the JMX management interface for JournalNode information

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getClusterIds()`
  Get list of the clusters of JournalNode's journals as one JournalNode may support multiple clusters.
  `String`
  `getHostAndPort()`
  Get host and port of JournalNode.
  `long`
  `getJNStartedTimeInMillis()`
  Get the start time of the JournalNode.
  `String`
  `getJournalsStatus()`
  Get status information (e.g., whether formatted) of JournalNode's journals.
  `List<String>`
  `getStorageInfos()`
  Get the list of the storage infos of JournalNode's journals.
  `String`
  `getVersion()`
  Gets the version of Hadoop.

- ## Method Details

  - ### getJournalsStatus

    String getJournalsStatus()
    Get status information (e.g., whether formatted) of JournalNode's journals.
    Returns:
      A string presenting status for each journal

  - ### getHostAndPort

    String getHostAndPort()
    Get host and port of JournalNode.
    Returns:
      colon separated host and port.

  - ### getClusterIds

    List<String> getClusterIds()
    Get list of the clusters of JournalNode's journals as one JournalNode may support multiple clusters.
    Returns:
      list of clusters.

  - ### getVersion

    String getVersion()
    Gets the version of Hadoop.
    Returns:
      the version of Hadoop.

  - ### getJNStartedTimeInMillis

    long getJNStartedTimeInMillis()
    Get the start time of the JournalNode.
    Returns:
      the start time of the JournalNode.

  - ### getStorageInfos

    List<String> getStorageInfos()
    Get the list of the storage infos of JournalNode's journals. Storage infos include layout version, namespace id, cluster id and creation time of the File system state.
    Returns:
      the list of storage infos associated with journals.